#version 300 es
precision mediump float;

uniform vec2 u_display_size;
uniform float u_cycle_amount;
uniform vec3 u_mapped_color;

in vec2 v_uv;  // From vertex shader
out vec4 fragColor;

const float PI = 3.1415926535897932384626433832795;

void main() {
    vec2 uv = v_uv;
    float pulse = sin(u_cycle_amount * PI) * 0.5 + 0.5;
    vec3 finalColor = mix(vec3(1.0, 1.0, 1.0), u_mapped_color, pulse);
    fragColor = vec4(finalColor, 1.0);
}
